/* dfb.h -- dfb headers */

#ifndef DFB_H
#define DFB_H

/* includes */
#define _GNU_SOURCE
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <errno.h>
#include <directfb.h>

#include "list.h"

/* defines */
#define DFB_SUCCESS 1
#define DFB_ERROR -1

#define MAX_FN 64

/* specific variables */
typedef struct s_dfb {
  int outfd;
  IDirectFB *iface;
  IDirectFBSurface *primary;
  IDirectFBImageProvider *image;
  IDirectFBVideoProvider *video;
  IDirectFBFont *font;
  char fontname[MAX_FN];
  int max_x;
  int max_y;
  unsigned char mode;
} t_dfb;

/* function prototypes */
int dfb_init(t_dfb *dfb,int outfd,int &arg_c,char *arg_v);

#endif
